apiVersion: dapr.io/v1alpha1
kind: Component
metadata:
  name: statestore
spec:
  type: state.redis
  version: v1
  metadata:
  - name: redisHost
    value: beta-atlantis-redis:6379
  - name: redisUsername
    value: default
  - name: redisPassword
    secretKeyRef:
      name: beta-atlantis-redis
      key:  redis-password
  - name: actorStateStore
    value: "true"
  - name: redisDB
    value: "0"
scopes:
  - beta-atlantis